Ogre::GLXPBuffer Class Reference

`#include <OgreGLXRenderTexture.h>`

Inheritance diagram for Ogre::GLXPBuffer:
[legend]

List of all members.

## Public Member Functions

| GLXPBuffer (GLXGLSupport *glsupport, PixelComponentType format, size_t width, size_t height)
| ~GLXPBuffer ()
virtual GLContext * | getContext ()
| Get the GL context that needs to be active to render to this PBuffer.
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Attributes

GLXContext * | mContext
GLXGLSupport * | mGLSupport
PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Detailed Description

Definition at line 39 of file OgreGLXRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLXPBuffer::GLXPBuffer | ( | GLXGLSupport * | glsupport,
|  | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  |

Ogre::GLXPBuffer::~GLXPBuffer | ( |  | ) |

## Member Function Documentation

virtual GLContext* Ogre::GLXPBuffer::getContext | ( |  | ) | `[virtual]`

Get the GL context that needs to be active to render to this PBuffer.

Implements Ogre::GLPBuffer.

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) | `[inherited]`

Definition at line 48 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::getHeight | ( | void |  | ) | `[inherited]`

Definition at line 50 of file OgreGLPBuffer.h.

static PixelComponentType Ogre::GLPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static, inherited]`

Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLPBuffer::getWidth | ( | void |  | ) | `[inherited]`

Definition at line 49 of file OgreGLPBuffer.h.

## Member Data Documentation

GLXContext* Ogre::GLXPBuffer::mContext`[protected]`

Definition at line 48 of file OgreGLXRenderTexture.h.

PixelComponentType Ogre::GLPBuffer::mFormat`[protected, inherited]`

Definition at line 56 of file OgreGLPBuffer.h.

GLXGLSupport* Ogre::GLXPBuffer::mGLSupport`[protected]`

Definition at line 49 of file OgreGLXRenderTexture.h.

size_t Ogre::GLPBuffer::mHeight`[protected, inherited]`

Definition at line 57 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::mWidth`[protected, inherited]`

Definition at line 57 of file OgreGLPBuffer.h.

The documentation for this class was generated from the following file:

- OgreGLXRenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50